# Configuration for GitHub's automatic release notes generation
# https://docs.github.com/en/repositories/releasing-projects-on-github/automatically-generated-release-notes

changelog:
  exclude:
    labels:
      - ignore-for-release
      - skip-changelog
    authors:
      - dependabot
  categories:
    - title: 🎉 New Features
      labels:
        - enhancement
        - feature
        - feat
    - title: 🐛 Bug Fixes
      labels:
        - bug
        - fix
    - title: 📚 Documentation
      labels:
        - documentation
        - docs
    - title: 🔧 Maintenance & Refactoring
      labels:
        - chore
        - refactor
        - dependencies
    - title: 🧪 Testing
      labels:
        - test
    - title: Other Changes
      labels:
        - "*"
